diff --git a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
index 402c316..9de292d 100644
--- a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
@@ -1709,8 +1709,10 @@ define(
 
           // Initial settings for delete row, copy row and paste row buttons.
           $("#btn-delete-row").prop('disabled', true);
-          if (!self.can_edit) {
+          // Do not disable save button in query tool
+          if(!self.is_query_tool && !self.can_edit)
             $("#btn-save").prop('disabled', true);
+          if (!self.can_edit) {
             $("#btn-file-menu-dropdown").prop('disabled', true);
             $("#btn-delete-row").prop('disabled', true);
             $("#btn-copy-row").prop('disabled', true);
